{
  "x-generator": "On Key REST API Docs Generator",
  "openapi": "3.0.0",
  "info": {
    "title": "On Key MM  API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "{scheme}://{server}:{port}/api/tenants/{client}/{connection}",
      "description": "On Key API Server",
      "variables": {
        "scheme": {
          "default": "https",
          "description": "HTTP scheme"
        },
        "server": {
          "default": "<variable>",
          "description": "Server host"
        },
        "port": {
          "default": "443",
          "description": "Port"
        },
        "client": {
          "default": "<variable>",
          "description": "Client"
        },
        "connection": {
          "default": "<variable>",
          "description": "Connection/Environment (i.e. prod, qa)"
        }
      }
    }
  ],
  "paths": {
    "/Modules/MM/Categories/{id}": {
      "get": {
        "tags": [
          "Category"
        ],
        "summary": "Get a Category resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | Category->Code | string |  |\r\n| createdByUserId | Category->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | Category->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | Category->CreatedByUser_FullName | string |  |\r\n| createdOn | Category->CreatedOn | string | date-time |\r\n| isActive | Category->IsActive | boolean |  |\r\n| modifiedByUserId | Category->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | Category->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | Category->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | Category->ModifiedOn | string | date-time |\r\n| permissionTreeId | Category->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | Category->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | Category->PermissionTree_Description | string |  |\r\n| version | Category->Version | integer | int32 |\r\n| id | Category->Id | integer | int64 |\r\n| description | Category->Description | string |  |\r\n| notes | Category->Notes | string |  |\r\n| sequenceNumber | Category->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetCategory",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Category Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Category",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetCategoryResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Category"
        ],
        "summary": "Update an existing Category resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | Category->Version | integer | int32 |\r\n| code | Category->Code | string |  |\r\n| description | Category->Description | string |  |\r\n| sequenceNumber | Category->SequenceNumber | integer | int32 |\r\n| notes | Category->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "UpdateCategory",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Category Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateCategoryResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Category was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Category"
        ],
        "summary": "Delete an existing Category resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | Category->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteCategory",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Category Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteCategoryResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Category was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Categories": {
      "get": {
        "tags": [
          "Category"
        ],
        "summary": "Get a collection of Category resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | Category->Version | integer | int32 |\r\n| id | Category->Id | integer | int64 |\r\n| code | Category->Code | string |  |\r\n| description | Category->Description | string |  |\r\n| sequenceNumber | Category->SequenceNumber | integer | int32 |\r\n| notes | Category->Notes | string |  |\r\n| createdOn | Category->CreatedOn | string | date-time |\r\n| modifiedOn | Category->ModifiedOn | string | date-time |\r\n",
        "operationId": "GetCategoryCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Category collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetCategoryCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Category"
        ],
        "summary": "Create a new Category resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | Category->PermissionTree_Id | integer | int64 |\r\n| code | Category->Code | string |  |\r\n| description | Category->Description | string |  |\r\n| sequenceNumber | Category->SequenceNumber | integer | int32 |\r\n| notes | Category->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "CreateCategory",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateCategoryResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Categories/Lookups/LookupCategoryChangePermissionTree": {
      "get": {
        "tags": [
          "Category"
        ],
        "summary": "Lookup the permission set for changing the Category.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupCategoryChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/CategoryChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Categories/Lookups/LookupCategoryInsertPermissionTree": {
      "get": {
        "tags": [
          "Category"
        ],
        "summary": "Lookup the permission set for creating the Category.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupCategoryInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/CategoryInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Categories/Batch/{ids}": {
      "get": {
        "tags": [
          "Category"
        ],
        "summary": "Get a collection of Category resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | Category->Code | string |  |\r\n| createdByUserId | Category->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | Category->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | Category->CreatedByUser_FullName | string |  |\r\n| createdOn | Category->CreatedOn | string | date-time |\r\n| isActive | Category->IsActive | boolean |  |\r\n| modifiedByUserId | Category->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | Category->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | Category->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | Category->ModifiedOn | string | date-time |\r\n| permissionTreeId | Category->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | Category->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | Category->PermissionTree_Description | string |  |\r\n| version | Category->Version | integer | int32 |\r\n| id | Category->Id | integer | int64 |\r\n| description | Category->Description | string |  |\r\n| notes | Category->Notes | string |  |\r\n| sequenceNumber | Category->SequenceNumber | integer | int32 |\r\n",
        "operationId": "BatchGetCategory",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Category id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Category collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetCategoryResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Categories/Batch": {
      "post": {
        "tags": [
          "Category"
        ],
        "summary": "Create a new collection of Category resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | Category->PermissionTree_Id | integer | int64 |\r\n| code | Category->Code | string |  |\r\n| description | Category->Description | string |  |\r\n| sequenceNumber | Category->SequenceNumber | integer | int32 |\r\n| notes | Category->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "BatchCreateCategory",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateCategoryResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Category batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Category"
        ],
        "summary": "Update a collection of existing Category resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Category->Id | integer | int64 |\r\n| version | Category->Version | integer | int32 |\r\n| code | Category->Code | string |  |\r\n| description | Category->Description | string |  |\r\n| sequenceNumber | Category->SequenceNumber | integer | int32 |\r\n| notes | Category->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "BatchUpdateCategory",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateCategoryResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Category batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Category"
        ],
        "summary": "Delete a collection of existing Category resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Category->Id | integer | int64 |\r\n| version | Category->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteCategory",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteCategoryResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Category batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Categories/{id}/Active": {
      "patch": {
        "tags": [
          "Category"
        ],
        "summary": "Change the IsActive status for an existing Category resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | Category->Version | integer | int32 |\r\n| isActive | Category->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeCategoryIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Category Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeCategoryIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Categories/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Category"
        ],
        "summary": "Change the PermissionTree for an existing Category resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | Category->Version | integer | int32 |\r\n| permissionTreeId | Category->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeCategoryPermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Category Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeCategoryPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Categories/Batch/Active": {
      "patch": {
        "tags": [
          "Category"
        ],
        "summary": "Change the IsActive status for a collection of existing Category resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Category->Id | integer | int64 |\r\n| version | Category->Version | integer | int32 |\r\n| isActive | Category->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeCategoryIsActive",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeCategoryIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Categories/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Category"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Category resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Category->Id | integer | int64 |\r\n| version | Category->Version | integer | int32 |\r\n| permissionTreeId | Category->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeCategoryPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeCategoryPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Commodities/{id}": {
      "get": {
        "tags": [
          "Commodity"
        ],
        "summary": "Get a Commodity resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | Commodity->Code | string |  |\r\n| isActive | Commodity->IsActive | boolean |  |\r\n| createdByUserId | Commodity->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | Commodity->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | Commodity->CreatedByUser_FullName | string |  |\r\n| createdOn | Commodity->CreatedOn | string | date-time |\r\n| modifiedByUserId | Commodity->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | Commodity->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | Commodity->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | Commodity->ModifiedOn | string | date-time |\r\n| version | Commodity->Version | integer | int32 |\r\n| permissionTreeId | Commodity->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | Commodity->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | Commodity->PermissionTree_Description | string |  |\r\n| id | Commodity->Id | integer | int64 |\r\n| costElementId | Commodity->CostElement_Id | integer | int64 |\r\n| costElementCode | Commodity->CostElement_Code | string |  |\r\n| costElementDescription | Commodity->CostElement_Description | string |  |\r\n| description | Commodity->Description | string |  |\r\n| notes | Commodity->Notes | string |  |\r\n| sequenceNumber | Commodity->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetCommodity",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Commodity Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Commodity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetCommodityResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Commodity"
        ],
        "summary": "Update an existing Commodity resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | Commodity->Version | integer | int32 |\r\n| code | Commodity->Code | string |  |\r\n| description | Commodity->Description | string |  |\r\n| sequenceNumber | Commodity->SequenceNumber | integer | int32 |\r\n| costElementId | Commodity->CostElement_Id | integer | int64 |\r\n| notes | Commodity->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| costElementId | Nullable | False |  |\r\n\r\n",
        "operationId": "UpdateCommodity",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Commodity Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateCommodityResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Commodity was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Commodity"
        ],
        "summary": "Delete an existing Commodity resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | Commodity->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteCommodity",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Commodity Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteCommodityResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Commodity was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Commodities": {
      "get": {
        "tags": [
          "Commodity"
        ],
        "summary": "Get a collection of Commodity resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | Commodity->Version | integer | int32 |\r\n| id | Commodity->Id | integer | int64 |\r\n| code | Commodity->Code | string |  |\r\n| description | Commodity->Description | string |  |\r\n| sequenceNumber | Commodity->SequenceNumber | integer | int32 |\r\n| costElementId | Commodity->CostElement_Id | integer | int64 |\r\n| costElementCode | Commodity->CostElement_Code | string |  |\r\n| costElementDescription | Commodity->CostElement_Description | string |  |\r\n| notes | Commodity->Notes | string |  |\r\n| createdOn | Commodity->CreatedOn | string | date-time |\r\n| modifiedOn | Commodity->ModifiedOn | string | date-time |\r\n",
        "operationId": "GetCommodityCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Commodity collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetCommodityCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Commodity"
        ],
        "summary": "Create a new Commodity resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | Commodity->PermissionTree_Id | integer | int64 |\r\n| code | Commodity->Code | string |  |\r\n| description | Commodity->Description | string |  |\r\n| sequenceNumber | Commodity->SequenceNumber | integer | int32 |\r\n| costElementId | Commodity->CostElement_Id | integer | int64 |\r\n| notes | Commodity->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| costElementId | Required | True |  |\r\n| costElementId | Nullable | False |  |\r\n\r\n",
        "operationId": "CreateCommodity",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateCommodityResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Commodities/Lookups/LookupCommodityChangePermissionTree": {
      "get": {
        "tags": [
          "Commodity"
        ],
        "summary": "Lookup the permission set for changing the Commodity.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupCommodityChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/CommodityChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Commodities/Lookups/LookupCommodityCostElement": {
      "get": {
        "tags": [
          "Commodity"
        ],
        "summary": "Lookup the Cost Element for the Commodity.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | CostElement->Id | integer | int64 |\r\n| code | CostElement->Code | string |  |\r\n| description | CostElement->Description | string |  |\r\n",
        "operationId": "LookupCommodityCostElement",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Cost Element collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/CommodityCostElementLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Commodities/Lookups/LookupCommodityInsertPermissionTree": {
      "get": {
        "tags": [
          "Commodity"
        ],
        "summary": "Lookup the permission set for creating the Commodity.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupCommodityInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/CommodityInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Commodities/Batch/{ids}": {
      "get": {
        "tags": [
          "Commodity"
        ],
        "summary": "Get a collection of Commodity resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | Commodity->Code | string |  |\r\n| isActive | Commodity->IsActive | boolean |  |\r\n| createdByUserId | Commodity->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | Commodity->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | Commodity->CreatedByUser_FullName | string |  |\r\n| createdOn | Commodity->CreatedOn | string | date-time |\r\n| modifiedByUserId | Commodity->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | Commodity->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | Commodity->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | Commodity->ModifiedOn | string | date-time |\r\n| version | Commodity->Version | integer | int32 |\r\n| permissionTreeId | Commodity->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | Commodity->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | Commodity->PermissionTree_Description | string |  |\r\n| id | Commodity->Id | integer | int64 |\r\n| costElementId | Commodity->CostElement_Id | integer | int64 |\r\n| costElementCode | Commodity->CostElement_Code | string |  |\r\n| costElementDescription | Commodity->CostElement_Description | string |  |\r\n| description | Commodity->Description | string |  |\r\n| notes | Commodity->Notes | string |  |\r\n| sequenceNumber | Commodity->SequenceNumber | integer | int32 |\r\n",
        "operationId": "BatchGetCommodity",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Commodity id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Commodity collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetCommodityResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Commodities/Batch": {
      "post": {
        "tags": [
          "Commodity"
        ],
        "summary": "Create a new collection of Commodity resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | Commodity->PermissionTree_Id | integer | int64 |\r\n| code | Commodity->Code | string |  |\r\n| description | Commodity->Description | string |  |\r\n| sequenceNumber | Commodity->SequenceNumber | integer | int32 |\r\n| costElementId | Commodity->CostElement_Id | integer | int64 |\r\n| notes | Commodity->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| costElementId | Required | True |  |\r\n| costElementId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchCreateCommodity",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateCommodityResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Commodity batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Commodity"
        ],
        "summary": "Update a collection of existing Commodity resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Commodity->Id | integer | int64 |\r\n| version | Commodity->Version | integer | int32 |\r\n| code | Commodity->Code | string |  |\r\n| description | Commodity->Description | string |  |\r\n| sequenceNumber | Commodity->SequenceNumber | integer | int32 |\r\n| costElementId | Commodity->CostElement_Id | integer | int64 |\r\n| notes | Commodity->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| costElementId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchUpdateCommodity",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateCommodityResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Commodity batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Commodity"
        ],
        "summary": "Delete a collection of existing Commodity resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Commodity->Id | integer | int64 |\r\n| version | Commodity->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteCommodity",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteCommodityResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Commodity batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Commodities/{id}/Active": {
      "patch": {
        "tags": [
          "Commodity"
        ],
        "summary": "Change the IsActive status for an existing Commodity resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | Commodity->Version | integer | int32 |\r\n| isActive | Commodity->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeCommodityIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Commodity Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeCommodityIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Commodities/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Commodity"
        ],
        "summary": "Change the PermissionTree for an existing Commodity resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | Commodity->Version | integer | int32 |\r\n| permissionTreeId | Commodity->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeCommodityPermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Commodity Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeCommodityPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Commodities/Batch/Active": {
      "patch": {
        "tags": [
          "Commodity"
        ],
        "summary": "Change the IsActive status for a collection of existing Commodity resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Commodity->Id | integer | int64 |\r\n| version | Commodity->Version | integer | int32 |\r\n| isActive | Commodity->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeCommodityIsActive",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeCommodityIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/Commodities/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Commodity"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Commodity resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Commodity->Id | integer | int64 |\r\n| version | Commodity->Version | integer | int32 |\r\n| permissionTreeId | Commodity->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeCommodityPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeCommodityPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/MaterialMasters/{id}": {
      "get": {
        "tags": [
          "Material Master"
        ],
        "summary": "Get a Material Master resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | MaterialMaster->Code | string |  |\r\n| isActive | MaterialMaster->IsActive | boolean |  |\r\n| createdByUserId | MaterialMaster->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | MaterialMaster->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | MaterialMaster->CreatedByUser_FullName | string |  |\r\n| createdOn | MaterialMaster->CreatedOn | string | date-time |\r\n| modifiedByUserId | MaterialMaster->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | MaterialMaster->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | MaterialMaster->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | MaterialMaster->ModifiedOn | string | date-time |\r\n| version | MaterialMaster->Version | integer | int32 |\r\n| permissionTreeId | MaterialMaster->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | MaterialMaster->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | MaterialMaster->PermissionTree_Description | string |  |\r\n| id | MaterialMaster->Id | integer | int64 |\r\n| alternativeDescription | MaterialMaster->AlternativeDescription | string |  |\r\n| barcode | MaterialMaster->Barcode | string |  |\r\n| categoryId | MaterialMaster->Category_Id | integer | int64 |\r\n| categoryCode | MaterialMaster->Category_Code | string |  |\r\n| categoryDescription | MaterialMaster->Category_Description | string |  |\r\n| classification | MaterialMaster->Classification | string |  |\r\n| commodityId | MaterialMaster->Commodity_Id | integer | int64 |\r\n| commodityCode | MaterialMaster->Commodity_Code | string |  |\r\n| commodityDescription | MaterialMaster->Commodity_Description | string |  |\r\n| costElementId | MaterialMaster->CostElement_Id | integer | int64 |\r\n| costElementCode | MaterialMaster->CostElement_Code | string |  |\r\n| costElementDescription | MaterialMaster->CostElement_Description | string |  |\r\n| defaultMaterialMasterBinId | MaterialMaster->DefaultMaterialMasterBin_Id | integer | int64 |\r\n| defaultMaterialMasterBinCode | MaterialMaster->DefaultMaterialMasterBin_Code | string |  |\r\n| defaultMaterialMasterSupplierId | MaterialMaster->DefaultMaterialMasterSupplier_Id | integer | int64 |\r\n| defaultMaterialMasterSupplierSupplierId | MaterialMaster->DefaultMaterialMasterSupplier_Supplier_Id | integer | int64 |\r\n| defaultMaterialMasterSupplierSupplierCode | MaterialMaster->DefaultMaterialMasterSupplier_Supplier_Code | string |  |\r\n| defaultMaterialMasterSupplierSupplierDescription | MaterialMaster->DefaultMaterialMasterSupplier_Supplier_Description | string |  |\r\n| description | MaterialMaster->Description | string |  |\r\n| highLifeExpectancy | MaterialMaster->HighLifeExpectancy | string | duration |\r\n| isInsuranceItem | MaterialMaster->IsInsuranceItem | boolean |  |\r\n| isStockItem | MaterialMaster->IsStockItem | boolean |  |\r\n| itemSize | MaterialMaster->ItemSize | string |  |\r\n| leadTime | MaterialMaster->LeadTime | string | duration |\r\n| lowLifeExpectancy | MaterialMaster->LowLifeExpectancy | string | duration |\r\n| maximumLevel | MaterialMaster->MaximumLevel | number | float |\r\n| mediumLifeExpectancy | MaterialMaster->MediumLifeExpectancy | string | duration |\r\n| minimumLevel | MaterialMaster->MinimumLevel | number | float |\r\n| notes | MaterialMaster->Notes | string |  |\r\n| partsReplacementMethod | MaterialMaster->PartsReplacementMethod | string (Allowed values: [Physical, Preferred, TypeSideOnly, Unknown]) | enum |\r\n| replaceByDate | MaterialMaster->ReplaceByDate | string | date-time |\r\n| replacedOnDate | MaterialMaster->ReplacedOnDate | string | date-time |\r\n| replaceWithMaterialMasterId | MaterialMaster->ReplaceWithMaterialMaster_Id | integer | int64 |\r\n| replaceWithMaterialMasterCode | MaterialMaster->ReplaceWithMaterialMaster_Code | string |  |\r\n| replaceWithMaterialMasterDescription | MaterialMaster->ReplaceWithMaterialMaster_Description | string |  |\r\n| sequenceNumber | MaterialMaster->SequenceNumber | integer | int32 |\r\n| unitOfMeasurementId | MaterialMaster->UnitOfMeasurement_Id | integer | int64 |\r\n| unitOfMeasurementCode | MaterialMaster->UnitOfMeasurement_Code | string |  |\r\n| unitOfMeasurementDescription | MaterialMaster->UnitOfMeasurement_Description | string |  |\r\n",
        "operationId": "GetMaterialMaster",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Material Master Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Material Master",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMaterialMasterResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Material Master"
        ],
        "summary": "Update an existing Material Master resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | MaterialMaster->Version | integer | int32 |\r\n| alternativeDescription | MaterialMaster->AlternativeDescription | string |  |\r\n| barcode | MaterialMaster->Barcode | string |  |\r\n| categoryId | MaterialMaster->Category_Id | integer | int64 |\r\n| classification | MaterialMaster->Classification | string |  |\r\n| code | MaterialMaster->Code | string |  |\r\n| commodityId | MaterialMaster->Commodity_Id | integer | int64 |\r\n| costElementId | MaterialMaster->CostElement_Id | integer | int64 |\r\n| defaultMaterialMasterBinId | MaterialMaster->DefaultMaterialMasterBin_Id | integer | int64 |\r\n| defaultMaterialMasterSupplierId | MaterialMaster->DefaultMaterialMasterSupplier_Id | integer | int64 |\r\n| description | MaterialMaster->Description | string |  |\r\n| highLifeExpectancy | MaterialMaster->HighLifeExpectancy | string | duration |\r\n| itemSize | MaterialMaster->ItemSize | string |  |\r\n| isInsuranceItem | MaterialMaster->IsInsuranceItem | boolean |  |\r\n| isStockItem | MaterialMaster->IsStockItem | boolean |  |\r\n| leadTime | MaterialMaster->LeadTime | string | duration |\r\n| lowLifeExpectancy | MaterialMaster->LowLifeExpectancy | string | duration |\r\n| maximumLevel | MaterialMaster->MaximumLevel | number | float |\r\n| mediumLifeExpectancy | MaterialMaster->MediumLifeExpectancy | string | duration |\r\n| minimumLevel | MaterialMaster->MinimumLevel | number | float |\r\n| notes | MaterialMaster->Notes | string |  |\r\n| partsReplacementMethod | MaterialMaster->PartsReplacementMethod | string (Allowed values: [Physical, Preferred, TypeSideOnly, Unknown]) | enum |\r\n| sequenceNumber | MaterialMaster->SequenceNumber | integer | int32 |\r\n| unitOfMeasurementId | MaterialMaster->UnitOfMeasurement_Id | integer | int64 |\r\n| replaceWithMaterialMasterId | MaterialMaster->ReplaceWithMaterialMaster_Id | integer | int64 |\r\n| replaceByDate | MaterialMaster->ReplaceByDate | string | date-time |\r\n| replacedOnDate | MaterialMaster->ReplacedOnDate | string | date-time |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| barcode | Min Length | >= 1 chars|  |\r\n| barcode | Max Length | <= 50 chars|  |\r\n| classification | Min Length | >= 1 chars|  |\r\n| classification | Max Length | <= 50 chars|  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| commodityId | Nullable | False |  |\r\n| costElementId | Nullable | False |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| highLifeExpectancy | Min Value | >= 00:00:00|  |\r\n| itemSize | Min Length | >= 1 chars|  |\r\n| itemSize | Max Length | <= 50 chars|  |\r\n| isInsuranceItem | Nullable | False |  |\r\n| isStockItem | Nullable | False |  |\r\n| leadTime | Min Value | >= 00:00:00|  |\r\n| lowLifeExpectancy | Min Value | >= 00:00:00|  |\r\n| maximumLevel | Min Value | >= 0|  |\r\n| minimumLevel | Min Value | >= 0|  |\r\n| notes | Min Length | >= 1 chars|  |\r\n| unitOfMeasurementId | Nullable | False |  |\r\n\r\n",
        "operationId": "UpdateMaterialMaster",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Material Master Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateMaterialMasterResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Material Master was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Material Master"
        ],
        "summary": "Delete an existing Material Master resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | MaterialMaster->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteMaterialMaster",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Material Master Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteMaterialMasterResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Material Master was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/MaterialMasters": {
      "get": {
        "tags": [
          "Material Master"
        ],
        "summary": "Get a collection of Material Master resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | MaterialMaster->Id | integer | int64 |\r\n| code | MaterialMaster->Code | string |  |\r\n| description | MaterialMaster->Description | string |  |\r\n| alternativeDescription | MaterialMaster->AlternativeDescription | string |  |\r\n| isStockItem | MaterialMaster->IsStockItem | boolean |  |\r\n| classification | MaterialMaster->Classification | string |  |\r\n| commodityId | MaterialMaster->Commodity_Id | integer | int64 |\r\n| commodityCode | MaterialMaster->Commodity_Code | string |  |\r\n| costElementId | MaterialMaster->CostElement_Id | integer | int64 |\r\n| costElementCode | MaterialMaster->CostElement_Code | string |  |\r\n| categoryId | MaterialMaster->Category_Id | integer | int64 |\r\n| categoryCode | MaterialMaster->Category_Code | string |  |\r\n| unitOfMeasurementId | MaterialMaster->UnitOfMeasurement_Id | integer | int64 |\r\n| unitOfMeasurementCode | MaterialMaster->UnitOfMeasurement_Code | string |  |\r\n| defaultMaterialMasterBinId | MaterialMaster->DefaultMaterialMasterBin_Id | integer | int64 |\r\n| defaultMaterialMasterBinCode | MaterialMaster->DefaultMaterialMasterBin_Code | string |  |\r\n| defaultMaterialMasterSupplierSupplierId | MaterialMaster->DefaultMaterialMasterSupplier_Supplier_Id | integer | int64 |\r\n| defaultMaterialMasterSupplierSupplierCode | MaterialMaster->DefaultMaterialMasterSupplier_Supplier_Code | string |  |\r\n| defaultMaterialMasterSupplierSupplierDescription | MaterialMaster->DefaultMaterialMasterSupplier_Supplier_Description | string |  |\r\n| version | MaterialMaster->Version | integer | int32 |\r\n",
        "operationId": "GetMaterialMasterCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Material Master collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMaterialMasterCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Material Master"
        ],
        "summary": "Create a new Material Master resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| alternativeDescription | MaterialMaster->AlternativeDescription | string |  |\r\n| barcode | MaterialMaster->Barcode | string |  |\r\n| categoryId | MaterialMaster->Category_Id | integer | int64 |\r\n| classification | MaterialMaster->Classification | string |  |\r\n| code | MaterialMaster->Code | string |  |\r\n| commodityId | MaterialMaster->Commodity_Id | integer | int64 |\r\n| costElementId | MaterialMaster->CostElement_Id | integer | int64 |\r\n| description | MaterialMaster->Description | string |  |\r\n| highLifeExpectancy | MaterialMaster->HighLifeExpectancy | string | duration |\r\n| itemSize | MaterialMaster->ItemSize | string |  |\r\n| isInsuranceItem | MaterialMaster->IsInsuranceItem | boolean |  |\r\n| isStockItem | MaterialMaster->IsStockItem | boolean |  |\r\n| leadTime | MaterialMaster->LeadTime | string | duration |\r\n| lowLifeExpectancy | MaterialMaster->LowLifeExpectancy | string | duration |\r\n| maximumLevel | MaterialMaster->MaximumLevel | number | float |\r\n| mediumLifeExpectancy | MaterialMaster->MediumLifeExpectancy | string | duration |\r\n| minimumLevel | MaterialMaster->MinimumLevel | number | float |\r\n| notes | MaterialMaster->Notes | string |  |\r\n| partsReplacementMethod | MaterialMaster->PartsReplacementMethod | string (Allowed values: [Physical, Preferred, TypeSideOnly, Unknown]) | enum |\r\n| permissionTreeId | MaterialMaster->PermissionTree_Id | integer | int64 |\r\n| replaceWithMaterialMasterId | MaterialMaster->ReplaceWithMaterialMaster_Id | integer | int64 |\r\n| replaceByDate | MaterialMaster->ReplaceByDate | string | date-time |\r\n| replacedOnDate | MaterialMaster->ReplacedOnDate | string | date-time |\r\n| sequenceNumber | MaterialMaster->SequenceNumber | integer | int32 |\r\n| unitOfMeasurementId | MaterialMaster->UnitOfMeasurement_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| barcode | Min Length | >= 1 chars|  |\r\n| barcode | Max Length | <= 50 chars|  |\r\n| classification | Min Length | >= 1 chars|  |\r\n| classification | Max Length | <= 50 chars|  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| commodityId | Required | True |  |\r\n| commodityId | Nullable | False |  |\r\n| costElementId | Required | True |  |\r\n| costElementId | Nullable | False |  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| highLifeExpectancy | Min Value | >= 00:00:00|  |\r\n| itemSize | Min Length | >= 1 chars|  |\r\n| itemSize | Max Length | <= 50 chars|  |\r\n| isInsuranceItem | Required | True |  |\r\n| isInsuranceItem | Nullable | False |  |\r\n| isStockItem | Required | True |  |\r\n| isStockItem | Nullable | False |  |\r\n| leadTime | Min Value | >= 00:00:00|  |\r\n| lowLifeExpectancy | Min Value | >= 00:00:00|  |\r\n| maximumLevel | Min Value | >= 0|  |\r\n| minimumLevel | Min Value | >= 0|  |\r\n| notes | Min Length | >= 1 chars|  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| unitOfMeasurementId | Required | True |  |\r\n| unitOfMeasurementId | Nullable | False |  |\r\n\r\n",
        "operationId": "CreateMaterialMaster",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateMaterialMasterResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/MaterialMasters/Lookups/LookupMaterialMasterCategory": {
      "get": {
        "tags": [
          "Material Master"
        ],
        "summary": "Lookup the Category for the Material Master.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Category->Id | integer | int64 |\r\n| code | Category->Code | string |  |\r\n| description | Category->Description | string |  |\r\n",
        "operationId": "LookupMaterialMasterCategory",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Category collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/MaterialMasterCategoryLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/MaterialMasters/Lookups/LookupMaterialMasterChangePermissionTree": {
      "get": {
        "tags": [
          "Material Master"
        ],
        "summary": "Lookup the permission set for changing the Material Master.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupMaterialMasterChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/MaterialMasterChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/MM/MaterialMasters/Lookups/LookupMaterialMasterCommodity": {
      "get": {
        "tags": [
          "Material Master"
        ],
        "summary": "Lookup the Commodity for the Material Master.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Commodity->Id | integer | int64 |\r\n| code | Commodity->Code | string |  |\r\n| description | Commodity->Description | string |  |\r\n",
        "operationId": "LookupMaterialMasterCommodity",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Commodity collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/MaterialMasterCommodityLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
[...]
